nl.topicus.jdbc.extended

## Class InsertWorker

- java.lang.Object
- - nl.topicus.jdbc.extended.AbstractTablePartWorker
  - - nl.topicus.jdbc.extended.InsertWorker

All Implemented Interfaces:
  Callable<ConversionResult>

    public class InsertWorker
    extends AbstractTablePartWorker

### Field Summary

### Fields inherited from class nl.topicus.jdbc.extended.AbstractTablePartWorker

`connection, select`

### Constructor Summary

Constructors
Constructor and Description
`InsertWorker(CloudSpannerConnection connection, net.sf.jsqlparser.statement.select.Select select, net.sf.jsqlparser.statement.insert.Insert insert, boolean allowExtendedMode, boolean onDuplicateKeyUpdate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getRecordCount()`
`protected void` `run()`

### Methods inherited from class nl.topicus.jdbc.extended.AbstractTablePartWorker

`call, getEstimatedRecordCount, isExtendedMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InsertWorker

    public InsertWorker(CloudSpannerConnection connection,
                        net.sf.jsqlparser.statement.select.Select select,
                        net.sf.jsqlparser.statement.insert.Insert insert,
                        boolean allowExtendedMode,
                        boolean onDuplicateKeyUpdate)

### Method Detail

#### run

    protected void run()
                throws SQLException

Specified by:
  `run` in class `AbstractTablePartWorker`
Throws:
  `SQLException`

#### getRecordCount

    public long getRecordCount()

Specified by:
  `getRecordCount` in class `AbstractTablePartWorker`